package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.manage.pojo.params.GameGiftPackLinkLogListParam;
import com.zanxiang.game.module.manage.pojo.vo.GameGiftPackLinkLogVO;
import com.zanxiang.game.module.mybatis.entity.GameGiftPackLinkLog;

/**
 * @author : lingfeng
 * @time : 2022-09-23
 * @description : 游戏礼包码链接访问日志
 */
public interface IGameGiftPackLinkLogService extends IService<GameGiftPackLinkLog> {

    /**
     * 链接访问记录仪提交
     *
     * @param url : 链接地址
     * @return : 返回记录主键id
     */
    Long linkVisitLogPush(String url);

    /**
     * 分页查新访问记录
     *
     * @param param : 查询参数
     * @return : 返回数据列表
     */
    IPage<GameGiftPackLinkLogVO> list(GameGiftPackLinkLogListParam param);
}